Loading...
Searching...
No Matches
RemoveDeadAllocations.h File Reference

Defines the lowering pass that removes allocate and free nodes that are not used. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::remove_dead_allocations (const Stmt &s)
| Find Allocate/Free pairs that are never loaded from or stored to, and remove them from the Stmt.

## Detailed Description

Defines the lowering pass that removes allocate and free nodes that are not used.

Definition in file RemoveDeadAllocations.h.